> For the complete documentation index, see [llms.txt](https://docs.copia.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.copia.io/docs/git-based-source-control/supported-vendors/festo.md).

# Festo

### Overview

Copia provides support for **Festo Automation Suite with the CODESYS Extension v2.8.0-v2.10.0**, with advanced feature support for the following:

* Graphical Display and Differences
* Rung Commenting for Code Review

{% hint style="info" %}
Copia's support only extends to the CODESYS project files used in the [Festo Automation Suite with the CODESYS Extension](https://www.festo.com/us/en/search/?tab=SUPPORT_PORTAL\&q=festo+automation+suite-\&documentTypeGroup=SOFTWARE\&documentTypes=) in use. Other components of the Festo Automation Suite software, such as `.fsp` files, can be version controlled in the Copia repository but will not have advanced graphical rendering.
{% endhint %}

### Configuration

Copia supports CODESYS project files created with the Festo Automation Suite software, with rendering for `.project` , `.library` and `.export` files. To view details on support, configuration, and usage, please view our CODESYS docs here: [CODESYS](/docs/git-based-source-control/supported-vendors/codesys.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.copia.io/docs/git-based-source-control/supported-vendors/festo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
